#include<bits/stdc++.h>

using namespace std;
bool tgiac(int a,int b,int c)
{
	if((a+b>c)&&(c+a>b))
	{
		return true;
	}
	else
	{
		return false;
	}
}

int main()
{
	int n;
	int a[5000];
	ifstream f1("BAI2_18.INP");
	ofstream f2("BAI2_18.OUT");
	f1>>n;
	for(int i=0;i<n;i++)
	{
		f1>>a[i];
	}
	int dem=0;
	
	sort(a, a+n);
	for(int i=0;i<n - 2;i++)
		{
			for(int j=i+1;j<n - 1;j++)
			{
				for(int m=j+1;m < n;m++)
				{
					if((a[i]+ a[j] )> a[m])
					{
						dem++;
					} 
					else
					{
						break;
					}
				}
			}
		}	
	f2<<dem;
	f1.close();
	f2.close();
}
